Fix para PHP 5.3 en codeigniter

FUENTE:
http://philsturgeon.co.uk/news/2009/12/CodeIgniter-on-PHP-5.3

“warning: date(): It is not safe to rely on the system’s timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier.

/*
|—————————————————————
| DEFAULT TIMEZONE
|—————————————————————
|
| Set the default timezone for date/time functions to use if
| none is set on the server.
|
*/

if( ! ini_get(‘date.timezone’) )
{
date_default_timezone_set(date_default_timezone_get());
}

Anuncios

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: